Skip to main content
GET
List Videos

Authorizations

x-api-key
string
header
required

API key for authentication.

Query Parameters

after
string | null

Return items strictly after this video ID

limit
integer
default:20

Max number of items to return

Required range: 1 <= x <= 100
order
enum<string>
default:desc

Sort order by creation time

Available options:
asc,
desc

Response

200 - application/json

Successful Response

id
string
required

Video generation job ID

Example:

"video_abc123def456"

status
enum<string>
required

Current state of the video

Available options:
PROCESSING,
COMPLETE,
FAILED,
CANCELLED
Example:

"COMPLETE"

created_at
integer
required

When the video was created (unix timestamp)

Example:

1730822400

video_id
string
required
deprecated

[Deprecated] Use "id" instead.

object
string
default:video
Allowed value: "video"
completed_at
integer | null

When processing completed (unix timestamp)

Example:

1730822520

progress
integer | null

Progress percentage (0-100)

Example:

100

error
MAVideoError · object | null

Error details if status is FAILED

Example:

null

model
string | null

Model used for generation (only for source='generation')

Allowed value: "mirage-video-1-latest"
Example:

"mirage-video-1-latest"

source_video_id
string | null

The input video that was captioned (only for source='caption')

Example:

"video_abc123def456"

caption_template_id
string | null

Caption style template used (only for source='caption')

Example:

"ctpl_123456789abcdefg"

Last modified on March 13, 2026